# RPM note: the incorrect-fsf-address in extensions/SyntaxHighlight_GeSHi/geshi/docs/COPYING is fixed upstream
#  Patch: https://phabricator.wikimedia.org/rSVN68355

%global mwdatadir %{_datadir}/mediawiki123
%global mwikidir  %{_var}/www/mediawiki123

Summary: A wiki engine
Name:    mediawiki123
Version: 1.23.13
Release: 1%{?dist}
License: GPLv2+ and Public Domain and CC-BY-SA and MIT and ASL 2.0 and BSD and GPLv3+
# License breakdown: see PACKAGE-LICENSING
URL:     http://www.mediawiki.org/
Source0: http://download.wikimedia.org/mediawiki/1.23/mediawiki-%{version}.tar.gz
Source1: mediawiki123.conf
Source2: README.RPM
Source3: PACKAGE-LICENSING
BuildArch: noarch
# This package contains some python maintenance scripts
BuildRequires: python2-devel
# This package contains some perl maintenance scripts
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: httpd
Requires: php >= 5.3.2, php-xml


Obsoletes: mediawiki < 1.14.0-46
Provides: mediawiki = %{version}-%{release}
Obsoletes: mediawiki116 < 1.16.0-10
Provides: mediawiki116 = %{version}-%{release}
Obsoletes: mediawiki119 < 1.19.23-1
Provides: mediawiki119 = %{version}-%{release}


%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

%package doc
Summary: Documentation for mediawiki123
License: GPLv3+
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for mediawiki


%prep
%setup -q -n mediawiki-%{version}

##
## Copy over the README's 
cp -p %{SOURCE2} .
cp -p %{SOURCE3} .

mv ./resources/lib/jquery.chosen/LICENSE COPYING.MIT
mv ./maintenance/cssjanus/LICENSE COPYING.ASL2

%build

%install

# move away the documentation to the final folder.
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}

# now copy the rest to the buildroot.
mkdir -p %{buildroot}%{mwdatadir}

FILES="StartProfiler.sample api.php img_auth.php index.php load.php opensearch_desc.php profileinfo.php thumb.php thumb_handler.php wiki.phtml"

DIRECS="mw-config cache extensions images includes languages maintenance resources serialized skins"

SCRIPTS="maintenance/postgres/mediawiki_mysql2postgres.pl maintenance/postgres/compare_schemas.pl maintenance/storage/make-blobs maintenance/cssjanus/cssjanus.py maintenance/cssjanus/csslex.py includes/limit.sh extensions/ConfirmEdit/captcha.py includes/normal/UtfNormalTest2.php"

rm -f docs/html/.gitignore

for i in ${FILES} ${DIRECS}; do
    cp -a ./${i} %{buildroot}%{mwdatadir}/${i}
done

# remove unneeded parts
find %{buildroot}%{mwdatadir}/  \( -name .htaccess \) -exec rm '{}' \;
find %{buildroot}%{mwdatadir}/  \( -name \*.cmi \) -exec rm '{}' \;
find %{buildroot}%{mwdatadir}/  \( -name .gitignore \) -exec rm '{}' \;
find %{buildroot}%{mwdatadir}/  \( -name .gitreview \) -exec rm '{}' \;

# create a default instance of which other instances can be copied
mkdir -p %{buildroot}%{mwikidir}
cd %{buildroot}%{mwikidir}/

cp -a %{buildroot}%{mwdatadir}/images .
cp -a %{buildroot}%{mwdatadir}/cache .

LINKS="mw-config api.php extensions includes index.php languages load.php maintenance opensearch_desc.php resources serialized skins"
for i in ${LINKS}; do
  ln -s %{mwdatadir}/${i} ./${i}
done

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -m 0644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mediawiki123.conf
for i in ${SCRIPTS}; do
    chmod +x %{buildroot}%{mwdatadir}/${i}
done



%files
%defattr(-,root,root,-)
%license PACKAGE-LICENSING COPYING COPYING.MIT COPYING.ASL2
%doc CREDITS RELEASE-NOTES-1.23 UPGRADE README.RPM
%attr(0644,root,root)  %config(noreplace) %{_sysconfdir}/httpd/conf.d/mediawiki123.conf
%{mwdatadir}
%dir %{mwikidir}
%{mwikidir}/*.php
%{mwikidir}/extensions
%{mwikidir}/includes
%{mwikidir}/languages
%{mwikidir}/maintenance
%{mwikidir}/mw-config
%{mwikidir}/resources
%{mwikidir}/serialized
%{mwikidir}/skins
%attr(-,apache,apache) %dir %{mwikidir}/cache
%attr(-,apache,apache) %dir %{mwikidir}/images
%{mwikidir}/images/README

%files doc
%doc FAQ HISTORY README docs


%changelog
* Mon Dec 21 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.13-1
- Rebase to upstream 1.23.13 security release

* Wed Oct 21 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.11-1
- Rebase to upstream 1.23.11 release

* Mon Sep 28 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.10-2
- httpd-filesystem is not provided on RHEL7

* Mon Sep 28 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.10-1
- Rebase to upstream 1.23.10

* Wed May 06 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.9-2
- Replace httpd dep with httpd-filesystem (BZ#1219029)

* Thu Apr 02 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.9-1
- Update to upstream 1.23.9 on import

* Mon Mar 23 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.8-2
- Make the mw-config directory sane
- Split documentation into -doc
- Extend on package licensing

* Thu Mar 05 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.23.8-1
- Initial packaging

